> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-validators-validator_id.md).

# /eth/v1/beacon/states/{state\_id}/validators/{validator\_id}

## Parameters:

1. state\_id - string - (Required) State identifier. Can be one of: "head" (canonical head in node's view), "genesis", "finalized", "justified", {slot}, {hex encoded stateRoot with 0x prefix}.
2. validator\_id - string - (Required) Either hex encoded public key (any bytes48 with 0x prefix) or validator index.

## Returns:

1. execution\_optimistic - boolean - True if the response references an unverified execution payload. Optimistic information may be invalidated at a later time. If the field is not present, assume the False value.
2. data - object - with the following values:
   1. index - string - Index of validator in validator registry.
   2. balance - string - Current validator balance in gwei.
   3. status - string - Possible statuses:

**pending\_initialized** - When the first deposit is processed, but not enough funds are available (or not yet the end of the first epoch) to get validator into the activation queue

**pending\_queued** - When validator is waiting to get activated, and have enough funds etc. while in the queue, validator activation epoch keeps changing until it gets to the front and make it through (finalization is a requirement here too).

**active\_ongoing** - When validator must be attesting, and have not initiated any exit.

**active\_exiting** - When validator is still active, but filed a voluntary request to exit.

**active\_slashed** - When validator is still active, but have a slashed status and is scheduled to exit.

**exited\_unslashed** - When validator has reached reguler exit epoch, not being slashed, and doesn't have to attest any more, but cannot withdraw yet.

**exited\_slashed** - When validator has reached reguler exit epoch, but was slashed, have to wait for a longer withdrawal period.

**withdrawal\_possible** - After validator has exited, a while later is permitted to move funds, and is truly out of the system.

**withdrawal\_done** - (not possible in phase0, except slashing full balance) - actually having moved funds away.

{% tabs %}
{% tab title="Mainnet" %}

```bash
curl -X GET \
    "https://mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/states/head/validators/0xa263cec6f692c3f2a4edcbf7b791634ae964ae959e2dfab032cbe9234004ca34b02015ede753db15bd98bd12e3cd039b" \
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Testnet" %}

```bash
curl -X GET \
    "https://sepolia.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/states/head/validators/0xa263cec6f692c3f2a4edcbf7b791634ae964ae959e2dfab032cbe9234004ca34b02015ede753db15bd98bd12e3cd039b" \
    -H "Content-Type: application/json"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-validators-validator_id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
